openapi: "3.0.0"
info:
  title: Auth API
  version: 1.0.0

servers:
  - url: https://auth1.prod1.edn-wms.cloud
    description: Production server

paths:
  /authenticate:
    $ref: './paths/authenticate.yaml'
  /users:
    $ref: './paths/users.yaml'
  /users/{userId}:
    $ref: './paths/user.yaml'
  /companies:
    $ref: './paths/companies.yaml'
  /companies/{companyId}:
    $ref: './paths/company.yaml'
  /platforms:
    $ref: './paths/platforms.yaml'
  /platforms/{platformId}:
    $ref: './paths/platform.yaml'
  /sites:
    $ref: './paths/sites.yaml'
  /sites/{siteId}:
    $ref: './paths/site.yaml'
  /warehouses:
    $ref: './paths/warehouses.yaml'
  /warehouses/{warehouseId}:
    $ref: './paths/warehouse.yaml'

components:
  securitySchemes:
    userId:
      type: apiKey
      in: header
      name: x-edn-wms-user-id
    wmsToken:
      type: apiKey
      in: header
      name: x-edn-wms-token
    token:
      type: apiKey
      in: header
      name: x-api-key

security:
  - userId: []
    wmsToken: []
  - token: []
